/* Beispiel fr Strukturen, die andere Strukturen enthalten. */

/* bernimmt die Eingabe der Eck-Koordinaten eines Rechtecks 
   und berechnet die Flche. Geht davon aus, dass die y-Koordinate 
   der unteren rechten Ecke grer ist als die y-Koordinate der 
   oberen linken Ecke, dass die x-Koordinate der unteren rechten 
   Ecke grer ist als die x-Koordinate der unteren linken Ecke 
   und dass alle Koordinaten positiv sind. */

#include <stdio.h>

int laenge, hoehe;
long flaeche;

struct koord{
    int x;
    int y;
};

struct rechteck{
    struct koord obenlinks;
    struct koord untenrechts;
} meinfeld;

int main(void)
{
    /* Eingabe der Koordinaten */

    printf("\nGeben Sie die x-Koordinate von oben links ein: ");
    scanf("%d", &meinfeld.obenlinks.x);

    printf("\nGeben Sie die y-Koordinate von oben links ein: ");
    scanf("%d", &meinfeld.obenlinks.y);

    printf("\nGeben Sie die x-Koordinate von unten rechts ein: ");
    scanf("%d", &meinfeld.untenrechts.x);

    printf("\nGeben Sie die y-Koordinate von unten rechts ein: ");
    scanf("%d", &meinfeld.untenrechts.y);

    /* Lnge und Hhe berechnen */

    hoehe = meinfeld.untenrechts.x - meinfeld.obenlinks.x;
    laenge = meinfeld.untenrechts.y - meinfeld.obenlinks.y;

    /* Flche berechnen und ausgeben */

    flaeche = hoehe * laenge;
    printf("\nDie Flche misst %ld Einheiten.\n", flaeche);

    return 0;
}
